All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.metadata.business
Interface ExtendedAttributes

All Known Subinterfaces:
  BusinessGroup, BusinessItem, BusinessModelObject, BusinessRule, CompoundFilter, DataItem, DataItemReference, DrillThroughToDetail, FilterCascadeRule, FilterItem, Governing, InformationMap, MapFolder, Prompt

    public interface ExtendedAttributes

This class set and get an extended attribute on an entry.

An extended attribute is a piece of metadata about an existing object that is not part of the standard metadata for that object. For example, the standard metadata for a column object contains attributes like name, length, type, format, etc.

See Also:
  `com.sas.entities`

Method Summary
`com.sas.entities.EntityInterface` | `getExtendedAttributes()` Returns the entity containing extended attributes for this object.
`void` | `setExtendedAttributes(com.sas.entities.EntityInterface attrEntity)` Sets the entity containing extended attributes for this object.

Method Detail

### setExtendedAttributes

    void setExtendedAttributes(com.sas.entities.EntityInterface attrEntity)
                               throws MetadataException

  Sets the entity containing extended attributes for this object. Null indicates no extended attributes are set for this object.

  Property change events signalled:

  - EVENT_OBJECT_PROPERTY_CHANGED

  Parameters:
    `attrEntity` - - the extended attribute entity to be associated with this object.
  Throws:
    `MetadataException` - if there is a problem associating the entity to this object.
    `MetadataNotChangeableException` - if this object is read-only
  See Also:
    `Entity.Entity()`, `AttributeDescriptor.AttributeDescriptor()`

### getExtendedAttributes

    com.sas.entities.EntityInterface getExtendedAttributes()

  Returns the entity containing extended attributes for this object. Null indicates no extended attributes are set for this object. The entity object returned is a reference to the internal entity. Thus any changes made to the returned entity will be reflected in this object without event notification.

  Returns:
    the entity object containing all the extended attributes for this object.
  See Also:
    `Entity.Entity()`, `AttributeDescriptor.AttributeDescriptor()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.